Bug 192105 - [PATCH] security/bro, security/broccoli: update to 2.3
Summary: [PATCH] security/bro, security/broccoli: update to 2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: FreeBSD Ports Bugs (Mailing List)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-25 02:46 UTC by leres
Modified: 2014-08-10 21:53 UTC (History)
2 users (show)

See Also:


Attachments
head.diffs (21.76 KB, text/plain)
2014-07-25 02:46 UTC, leres
leres: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description leres 2014-07-25 02:46:30 UTC
Created attachment 144959 [details]
head.diffs

This updates bro and broccoli from 2.2 and 2.3. Other changes
	include:

	    - Add bro user and group to UIDs and GIDs
	    - Set correct ownership of spool and logs directory
	    - Add a PORTS_SSL option to require the ports version
	      of openssl
	    - Update or remove python and ruby version specific
	      paths from pkg-plist

Fix:
Remove/delete all current patch files:

	    files/patch-src-input-readers-Raw.cc
	    files/patch-src-input-readers-SQLite.cc
	    files/patch-src-logging-writers-SQLite.cc

	And then apply the attached patch set.
Comment 1 John Marino freebsd_committer 2014-07-25 06:45:17 UTC
needs maintainer approval, notifying
Comment 2 leres 2014-07-25 07:00:51 UTC
I submitted this and also approve it (clearly I don't understand the bugzilla way of submitting a maintainer update?)
Comment 3 leres 2014-08-04 00:37:04 UTC
Here are redports.org logs:

    https://redports.org/~leres/20140804001224-03297-229913/broccoli-2.2_2.log
    https://redports.org/~leres/20140804002935-03867-229914/bro-2.2_1.log

One note is that the uid and gid I picked when I generated the diffs have both been used so please pick the next free ones in UIDs and GIDs when committing this.
Comment 4 commit-hook freebsd_committer 2014-08-10 21:52:20 UTC
A commit references this bug:

Author: cs
Date: Sun Aug 10 21:52:01 UTC 2014
New revision: 364576
URL: http://svnweb.freebsd.org/changeset/ports/364576

Log:
  Update to 2.3

  PR:		192105
  Submitted by:	leres@ee.lbl.gov (maintainer)

Changes:
  head/GIDs
  head/UIDs
  head/security/bro/Makefile
  head/security/bro/distinfo
  head/security/bro/files/patch-src-input-readers-Raw.cc
  head/security/bro/files/patch-src-input-readers-SQLite.cc
  head/security/bro/files/patch-src-logging-writers-SQLite.cc
  head/security/bro/files/pkg-message.in
  head/security/bro/pkg-descr
  head/security/bro/pkg-plist
  head/security/broccoli/Makefile
  head/security/broccoli/distinfo
  head/security/broccoli/pkg-plist
Comment 5 Carlo Strub freebsd_committer 2014-08-10 21:53:37 UTC
Committed. Thank you very much. One comment: please don't use OpenSSL from ports except if really required for some cryptographical reasons. I left it as is now, but you might reconsider your default options.